<?php
/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

JLoader::import('extly.extlyframework');

/**
 * XtdirLogger
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XtdirLogger
{
	private static $_instance = null;

	/**
	 * getInstance
	 *
	 * @return	object
	 *
	 * @since	1.5
	 */
	public static function &getInstance()
	{
		if (!self::$_instance)
		{
			$log_level = EParameter::getComponentParam(CXTDIR, 'log_level', JLog::ERROR);
			$log_mode = EParameter::getComponentParam(CXTDIR, 'log_mode', ELog::LOG_MODE_SCREEN);

			self::$_instance = new ELog($log_level, $log_mode);
		}

		return self::$_instance;
	}
}
