DROP VIEW IF EXISTS `#__xtdir_promosection_paid_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promosection_paid_view` AS 
	select `t`.`section` AS `section_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, max(`r`.`id`) as `promoorder_id`    
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`section` = `promo`.`section_id` and `promo`.`category_id` = 0) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'P'))
			join `#__xtdir_lastrun`
			join `#__xtdir_promoorders` `r` on
				(	(`o`.`id` = `r`.`entry_id`) and (`r`.`order_status` = 'O') and 
					((`r`.`promoted_since` = '0000-00-00 00:00:00') or (`r`.`promoted_since` <= `lastrun`)) and
					((`r`.`promoted_until` = '0000-00-00 00:00:00') or (`r`.`promoted_until` >= `lastrun`)) 
				) group by `t`.`section`,`t`.`id`, `promo`.`ordering`,`promo`.`promotype_id`, `promo`.`tiertype_id`;
				
DROP VIEW IF EXISTS `#__xtdir_promocategories_paid_view`;
CREATE ALGORITHM=TEMPTABLE VIEW `#__xtdir_promocategories_paid_view` AS 
	select `t`.`section` AS `section_id`,`t`.`parent` AS `category_id`,`t`.`id` AS `entry_id`, `promo`.`ordering` AS `ordering`,`promo`.`promotype_id` as `promotype_id`, `promo`.`tiertype_id` as `tiertype_id`, null  as `promoentry_id`, max(`r`.`id`) as `promoorder_id`
		from `#__xtdir_trees` `t` 
			join `#__sobipro_object` `o` on
				((`t`.`id` = `o`.`id`) and (`o`.`oType` = 'entry')) 
			join `#__xtdir_promotions` `promo` on
				((`t`.`parent` = `promo`.`category_id`) and (`promo`.`published` = 1) and (`promo`.`tiertype_id` = 'P'))
			join `#__xtdir_lastrun`
			join `#__xtdir_promoorders` `r` on
				(	(`o`.`id` = `r`.`entry_id`) and (`r`.`order_status` = 'O') and 
					((`r`.`promoted_since` = '0000-00-00 00:00:00') or (`r`.`promoted_since` <= `lastrun`)) and
					((`r`.`promoted_until` = '0000-00-00 00:00:00') or (`r`.`promoted_until` >= `lastrun`))
				) group by `t`.`section`,`t`.`parent`,`t`.`id`,`promo`.`ordering`,`promo`.`promotype_id`,`promo`.`tiertype_id`;	