<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$logger = XtdirLogger::getInstance();
$logfile = $logger->getLoggedFile();

?>
<div class="extly dashboard">
	<div class="extly-body">

			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';

				if ($this->get('ajax_index'))
				{
					include_once JPATH_XTDIR . '/views/system/tmpl/index_progress.php';
				}
			?>
			<div class="row-fluid">
				<div class="span8">

					<div class="row-fluid">
						<div class="span12">

							<?php
								$widget = ESystemHelper::generateWidget();

								if (!empty($widget))
								{
							?>
							<h3>
							<?php
									echo JText::_('COM_XTDIR_TITLE_CHART_TITLE');
							?>
							</h3>
									<?php
										echo $widget;
									?>

									<form name="adminForm" id="adminForm" action="index.php" method="post">
	    								<p class="text-center" style="text-align: center">
											<a id="cpanel-index" class="btn btn-mini" onclick="Joomla.submitbutton('index')" href="#">
												<?php
												echo JText::_('COM_XTDIR_COMMON_INDEX_LABEL');
												?>
											</a>
	    								</p>

	    								<input type="hidden" name="option" value="com_xtdir" />
										<input type="hidden" name="view" value="systems" />
										<input type="hidden" name="task" value="" />
										<input type="hidden" name="returnurl" value="<?php

										echo base64_encode('index.php?option=com_xtdir&view=cpanels');

										?>" />
										<input id="token" type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />
    								</form>
							<?php
								}
								else
								{
							?>
							    <div class="alert alert-block">
    								<button type="button" class="close" data-dismiss="alert">&times;</button>
    								<h4><?php
										echo JText::_('COM_XTDIR_DASHBOARD_NO_STATISTICS'); ?></h4>
    								<form name="adminForm" id="adminForm" action="index.php" method="post">
	    								<p class="text-center" style="text-align: center">
	    									<img src="../media/com_xtdir/images/48/cog.png"></img><br/>
											<a id="cpanel-index" class="btn btn-warning" onclick="Joomla.submitbutton('index')" href="#">
												<?php
												echo JText::_('COM_XTDIR_DASHBOARD_INDEX_BUTTON');
												?>
											</a>
	    								</p>

	    								<input type="hidden" name="option" value="com_xtdir" />
										<input type="hidden" name="view" value="systems" />
										<input type="hidden" name="task" value="" />
										<input type="hidden" name="returnurl" value="<?php

										echo base64_encode('index.php?option=com_xtdir&view=cpanels');

										?>" />
										<input id="token" type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />
    								</form>
    								<p>
    								<?php
										echo JText::_('COM_XTDIR_DASHBOARD_FIRST_ACCESS'); ?><a href="index.php?option=com_xtdir&view=systems&task=edit&id=<?php
										echo EExtensionHelper::getExtensionId('system', 'xtdir');
									?>"><i class="xticon xticon-bolt"></i> <?php
										echo JText::_('COM_XTDIR_TITLE_SYSTEMS_EDIT'); ?></a><?php
										echo JText::_('COM_XTDIR_DASHBOARD_FIRST_ACCESS2'); ?>
    								</p>
    							</div>
							<?php
								}
							?>
						</div>
					</div>
					<div class="row-fluid">
						<div class="span12">
							<?php
								include_once JPATH_XTDIR . '/views/system/tmpl/status.php';
							?>
						</div>
					</div>

				</div>
				<div class="span4">

					<?php

					if (XTDIR_BUSINESS_PAGES_ES)
					{
					?>

					<h3>Tutorial: XTDir for EasySocial</h3>

					<p><a target="_blank" href="https://docs.google.com/presentation/d/1xDCJqxvVac4jIFRnxIg2Pw0Yr691rOIoCxbl3wQZvH4/edit?usp=sharing">Adding Pages to EasySocial Community Network</a></p>
					<p><a target="_blank" href="http://www.xtdir.com/media/PPT/xtdir-adding-pages-to-easysocial-community-network.pdf">Adobe PDF</a> | <a href="http://www.xtdir.com/media/PPT/xtdir-adding-pages-to-easysocial-community-network.pptx">Microsoft PowerPoint PPTX</a></p>
					<p><a target="_blank" href="https://docs.google.com/presentation/d/1xDCJqxvVac4jIFRnxIg2Pw0Yr691rOIoCxbl3wQZvH4/edit?usp=sharing" target="_blank"><img width="240" src="http://www.xtdir.com/images/xtdir/xtdir-adding-pages-to-easysocial-community-network.jpg" alt="XTDir-Adding Pages to EasySocial Community Network"></a></p>

					<?php
					}

					if (XTDIR_BUSINESS_PAGES)
					{
					?>

					<h3>Tutorial: XTDir for JomSocial</h3>

					<p><a target="_blank" href="https://docs.google.com/presentation/d/1bJau0sK6T5jagdySTU4WQzZmhJN6B1zjK9ul1bGCDsE/edit?usp=sharing">Adding Pages to JomSocial Community Network</a></p>
					<p><a target="_blank" href="http://www.xtdir.com/media/PPT/xtdir-adding-pages-to-jomsocial-community-network.pdf">Adobe PDF</a> | <a href="http://www.xtdir.com/media/PPT/xtdir-adding-pages-to-jomsocial-community-network.pptx">Microsoft PowerPoint PPTX</a></p>
					<p><a target="_blank" href="https://docs.google.com/presentation/d/1bJau0sK6T5jagdySTU4WQzZmhJN6B1zjK9ul1bGCDsE/edit?usp=sharing" target="_blank"><img width="240" src="http://www.xtdir.com/images/xtdir/xtdir-adding-pages-to-jomsocial-community-network.jpg" alt="XTDir-Adding Pages to JomSocial Community Network"></a></p>

					<?php
					}
					?>

					<h3>Tutorial: XTDir for SobiPro</h3>

					<p><a target="_blank" href="https://docs.google.com/presentation/d/1R0Ijig9G8uKzYOUjYmme13EAUoBXSN1hsH2dyrFcS8E/edit?usp=sharing">How to extend your directory</a></p>
					<p><a target="_blank" href="http://dzg4p0ib0opco.cloudfront.net/media/PPT/XTDir-How_to_extend_your_directory-20130718.pdf">Adobe PDF</a> | <a href="http://dzg4p0ib0opco.cloudfront.net/media/PPT/XTDir-How_to_extend_your_directory-20130718.pptx">Microsoft PowerPoint PPTX</a></p>
					<p><a target="_blank" href="https://docs.google.com/presentation/d/1R0Ijig9G8uKzYOUjYmme13EAUoBXSN1hsH2dyrFcS8E/edit?usp=sharing" target="_blank"><img width="240" src="http://dzg4p0ib0opco.cloudfront.net/images/xtdir/XTDir-How_to_extend_your_directory.png" alt="XTDir-How to extend your directory"></a></p>

					<h3>Tutorial: XTDir Promoted Entries</h3>

					<p><a target="_blank" href="https://docs.google.com/a/extly.com/presentation/d/1YqDxRFUunNTEiUaQHCenpcabZhQ-Ierh9BkHMmU8uI8/edit#slide=id.p">Building an advertising catalog for Joomla!</a></p>
					<p><a target="_blank" href="http://dzg4p0ib0opco.cloudfront.net/media/PPT/XTDir%20-%20Building%20an%20advertising%20catalog%20for%20Joomla!.pdf">Adobe PDF</a> | <a href="http://dzg4p0ib0opco.cloudfront.net/media/PPT/XTDir%20-%20Building%20an%20advertising%20catalog%20for%20Joomla!.pptx">Microsoft PowerPoint PPTX</a></p>
					<p><a target="_blank" href="https://docs.google.com/a/extly.com/presentation/d/1YqDxRFUunNTEiUaQHCenpcabZhQ-Ierh9BkHMmU8uI8/edit#slide=id.p" target="_blank"><img width="240" src="http://dzg4p0ib0opco.cloudfront.net/images/xtdir/XTDir-Promoted-Entries-Building-an-advertising-catalog-for-Joomla.jpg" alt="Tutorial: XTDir Promoted Entries - Building an advertising catalog for Joomla!"></a></p>

					<hr/>

					<h3>
						<a href="http://support.extly.com" target="_blank">
						<?php
							echo JText::_('COM_XTDIR_DASHBOARD_SUPPORT');
						?> <i class="xticon xticon-link"></i></a>
					</h3>

					<?php
					if ($logfile)
					{
					?>
					<?php echo JText::_('COM_XTDIR_COMPARAM_LOGMODE_FILE'); ?>
					<p><a href="<?php

						echo $logger->getLoggedUrl();

						?>"
						class="btn btn-warning" target="_blank"> <i
						class="xticon xticon-download"></i>
					</a></p>
					<?php
					}
					?>

					<p>Follow us</p>
					<div class="customsocialicons">
						<a href="http://twitter.com/extly" target="_blank"> <i
							class="xticon xticon-twitter"> </i>
						</a> <a href="http://www.facebook.com/extly" target="_blank"> <i
							class="xticon xticon-facebook-sign"></i>
						</a> <a
							href="http://www.linkedin.com/company/extly-com---joomla-extensions?trk=hb_tab_compy_id_2890809"
							target="_blank"> <i class="xticon xticon-linkedin"></i>
						</a> <a href="https://plus.google.com/108048364795063174131"
							target="_blank"> <i class="xticon xticon-google-plus"> </i>
						</a> <a href="http://pinterest.com/extly/" target="_blank"> <i
							class="xticon xticon-pinterest"> </i>
						</a> <a href="https://github.com/anibalsanchez" target="_blank"> <i
							class="xticon xticon-github"> </i>
						</a>
					</div>

					<p>
						<?php
							echo JText::_('COM_XTDIR_DASHBOARD_JED');
						?>
					</p>

					<h3><?php
							echo JText::_('COM_XTDIR_DASHBOARD_COMPONENT_INFO');
						?>
						<img src="../media/com_xtdir/images/xtdir-logo.png" class="pull-right">
					</h3>
					<dl>
						<dt><?php
							echo JText::_('COM_XTDIR_DASHBOARD_NAME');
						?></dt>
						<dd><?php
							echo JText::_('COM_XTDIR_DASHBOARD_XTDIR');
						?></dd>
						<dt><?php
							echo JText::_('COM_XTDIR_DASHBOARD_INSTALLED_VERSION');
						?></dt>
						<dd><?php
							echo CXTDIR_VERSION;
						?></dd>
						<!--
						<dt><?php
							echo JText::_('COM_XTDIR_DASHBOARD_NEWEST_VERSION');
						?></dt>
						<dd><?php
							echo CXTDIR_VERSION;
						?></dd>
						<dt><?php
							echo JText::_('COM_XTDIR_DASHBOARD_VERSION_INFO');
						?></dt>
						<dd>
							- <br> -
						</dd>
						 -->
					</dl>

				</div>
			</div>

	</div>
</div>
