<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<fieldset class="all_fields">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="pagescfgs" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_PAGESCFGCONFIGURATION'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span6">
<?php
					echo EHtmlSelect::booleanListControl(
							$this->item->enabled,
							'enabled', 'JSTATUS',
							'JSTATUS_DESC',
							'JPUBLISHED',
							'JUNPUBLISHED');

					$control = SelectControlHelper::jsAppPositionsList(
							$this->item->xtform->get('position', 'content'),
							'xtform[position]'
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_POSITION_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_POSITION_DESC',
							'position',
							$control
					);

					echo EHtmlSelect::booleanListControl(
							$this->item->xtform->get('coreapp', 0),
							'xtform[coreapp]',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_COREAPP_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_COREAPP_DESC',
							'JYES',
							'JNO');

					$options[] = JHTML::_('select.option', '1', 'vCards');
					$options[] = JHTML::_('select.option', '0', 'Default');
					$control = EHtmlSelect::customGenericList(
							$options,
							'xtform[layout]',
							null,
							$this->item->xtform->get('layout', 0),
							'layout');
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_LAYOUT_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_LAYOUT_DESC',
							'imagefield_id',
							$control
					);

					$section = null;

					// $sections = $this->item->xtform->get('catalog_list');

					/*
					if ((count($sections) == 1) && (is_numeric($sections[0])))
					{
						$section = $sections[0];
					}
					*/

					echo '<div class="vcard-fields">';

					// Image Field
					$control = SelectControlHelper::fieldlist(
							$this->item->xtform->get('imagefield_id', 0),
							'xtform[imagefield_id][]',
							array('multiple' => true),
							null,
							null,
							$section,
							'image'
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_IMAGEFIELD_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_IMAGEFIELD_DESC',
							'imagefield_id',
							$control
					);

					// Description Field
					$control = SelectControlHelper::fieldlist(
							$this->item->xtform->get('descfield_id', 0),
							'xtform[descfield_id][]',
							array('multiple' => true),
							null,
							null,
							$section,
							'textarea'
					);
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_DESCFIELD_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_DESCFIELD_DESC',
							'descfield_id',
							$control
					);
					echo '</div>';

					echo EHtml::requiredTextControl(
							$this->item->xtform->get('count', 10),
							'xtform[count]',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_COUNT_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_COUNT_DESC'
							);

					$menulist = SelectControlHelper::menuitemlist(
							$this->item->xtform->get('menu_itemid'),
							'xtform[menu_itemid]',
							array('class' => 'input-xlarge'), 'menu_itemid');
					echo EHtml::genericControl(
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_MENUITEMID_LABEL',
							'COM_XTDIR_VIEW_PAGESCFGCONFIGURATION_MENUITEMID_DESC',
							'menu_itemid',
							$menulist
					);

					echo EHtml::idControl(
						$this->item->extension_id,
						'extension_id');
?>
				</div>
				<div class="span6">
<?php
					include_once JPATH_XTDIR . '/views/system/tmpl/sectionlist.php';

					$app_xtd_jomsocialprofilesp = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_jomsocialprofilesp.zip'));
					$app_xtd_sp2jsactivitystream = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_sp2jsactivitystream.zip'));

					if (($app_xtd_jomsocialprofilesp) || ($app_xtd_sp2jsactivitystream))
					{
?>

					<h4>
						<?php echo JText::_('COM_XTDIR_TITLE_PAGESCFGCONFIGURATION_APPS'); ?>
					</h4>

<?php
						if ($app_xtd_jomsocialprofilesp)
						{
?>
					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_jomsocialprofilesp.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_JOMSOCIALPROFILESP_APP'); ?>
					</h5>
					<p>
<?php

							echo SobiproHelper::spAppInstallControl(
								'jomsocialprofilesp_field',
								'index.php?option=com_xtdir&view=pagescfgs&task=installJomsocialProfileSpApp&_token=' . JFactory::getSession()->getFormToken(),
								'media/com_xtdir/apps/app_xtd_jomsocialprofilesp.zip'
							);
?>
					</p>
<?php
						}

						if ($app_xtd_sp2jsactivitystream)
						{
?>

					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_sp2jsactivitystream.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_SP2JSACTIVITYSTREAM_INFOAPP'); ?>
					</h5>
					<p>
<?php
					echo SobiproHelper::spAppInstallControl(
							'sp2jsactivitystream',
							'index.php?option=com_xtdir&view=pagescfgs&task=installSp2JsActivityStreamApp&_token=' . JFactory::getSession()->getFormToken(),
							'media/com_xtdir/apps/app_xtd_sp2jsactivitystream.zip'
					);
?>
					</p>
<?php
						}
					}
?>

				</div>
			</div>

			</fieldset>
		</form>
	</div>
</div>
