<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');
JHtml::_('behavior.formvalidation');
JHTML::_('behavior.calendar');

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="promoentries" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">

				<div class="span6">

					<fieldset class="basic">

						<legend><?php echo JText::_('COM_XTDIR_PROMOENTRY_OPTIONS_TITLE'); ?></legend>

<?php
						$entry = SobiProHelper::loadAndExtend($this->item->entry_id);
						echo '<h3>' . SobiProHelper::shownEntryName($entry) . ' (' . $this->item->entry_id . ')</h3>';

						echo EHtml::calendarControl(
							$this->item->promoted_since,
							'promoted_since',
							'COM_XTDIR_PROMOENTRY_SINCE_TITLE',
							'COM_XTDIR_PROMOENTRY_SINCE_DESC',
							'promoted_since',
							'COM_XTDIR_DATE_FORMAT'
						);

						echo EHtml::calendarControl(
							($this->item->promoted_until == 0 ? null : $this->item->promoted_until),
							'promoted_until',
							'COM_XTDIR_PROMOENTRY_UNTIL_TITLE',
							'COM_XTDIR_PROMOENTRY_UNTIL_DESC',
							'promoted_until',
							'COM_XTDIR_DATE_FORMAT'
						);

						echo EHtml::requiredTextControl(
							$this->item->ordering,
							'ordering',
							'COM_XTDIR_VIEW_PROMOTION_ORDERING_TITLE',
							'COM_XTDIR_VIEW_PROMOTION_ORDERING_DESC'
						);

						echo EHtmlSelect::publishedControl($this->item->get('published'), 'published');
						echo EHtml::idControl(
								$this->item->id,
								'id',
								'promoentry_id'
						);

?>
					</fieldset>

				</div>

				<div class="span6 entry-actions">
<?php
						include_once JPATH_XTDIR . '/views/promoentriescfg/tmpl/howitworks.php';
?>
				</div>

			</div>
		</form>
	</div>
</div>
