<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

include_once JPATH_ADMINISTRATOR . '/components/com_xtdir/api/sobipro_api.php';

/**
 * XtdirViewPromotion
 *
 * @package     Extly.Components
 * @subpackage  com_xtdir
 * @since       1.0
 */
class XtdirViewPromotion extends FOFViewHtml
{
	/**
	 * onEdit.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onAdd($tpl = null)
	{
		Extly::loadAwesome();

		$file = EHtml::getRelativeFile('js', 'com_xtdir/promotion.min.js');

		if ($file)
		{
			Extly::initApp(CXTDIR_VERSION, $file);
		}

		return parent::onAdd($tpl);
	}
}
