<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

$hasAjaxOrderingSupport = $this->hasAjaxOrderingSupport();
$ordering = ($this->lists->order == 'ordering');

if (($hasAjaxOrderingSupport) && ($ordering))
{
	EHtmlGrid::ajaxOrderingInit(CAUTOTWEETNG, $this->lists->order_Dir);
}

?>
<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>
		<div class="row-fluid">
			<div class="span12">

				<form name="adminForm" id="adminForm" action="index.php"
					method="post">

					<input type="hidden" name="option" id="option" value="com_xtdir" />
					<input type="hidden" name="view" id="view" value="promotions" />
					<input type="hidden" name="task" id="task" value="browse" />
					<input type="hidden" name="boxchecked" id="boxchecked" value="0" />
					<input type="hidden" name="hidemainmenu" id="hidemainmenu" value="0" />
					<input type="hidden" name="filter_order" id="filter_order" value="<?php echo $this->lists->order ?>" />
					<input type="hidden" name="filter_order_Dir" id="filter_order_Dir" value="<?php echo $this->lists->order_Dir ?>" />
					<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

					<table class="adminlist table table-striped" id="itemsList">
						<thead>
							<tr>
								<?php
								if ($hasAjaxOrderingSupport !== false)
								{
								?>
								<th width="35px"><?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'ordering', $this->lists->order_Dir, $this->lists->order, 'browse', 'asc', 'JGRID_HEADING_ORDERING'); ?>
								</th>
								<?php
								}
								?>

								<th width="20"><input type="checkbox" name="toggle" value=""
									onclick="Joomla.checkAll(this);" />
								</th>

								<th><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOTIONS_NAME', 'name', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th><?php echo JText::_('COM_XTDIR_PROMOTIONS_SECTION'); ?>
								</th>

								<th width="120"><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOTIONS_PROMOTYPE', 'promotype_id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="120"><?php echo JHTML::_('grid.sort', 'COM_XTDIR_PROMOTIONS_TIERTYPE', 'tiertype_id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<?php
								if ($hasAjaxOrderingSupport === false)
								{
								?>
								<th>
									<?php
										echo JHTML::_('grid.sort', 'JFIELD_ORDERING_LABEL', 'ordering', $this->lists->order_Dir, $this->lists->order, 'browse');
										echo JHTML::_('grid.order', $this->items);
									?>
								</th>
								<?php
								}
								?>

								<th width="80"><?php echo JHTML::_('grid.sort', 'JPUBLISHED', 'published', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>

								<th width="80"><?php echo JHTML::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 'id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
								</th>
							</tr>
							<tr>
								<?php
								if ($hasAjaxOrderingSupport !== false)
								{
								?>
								<td></td>
								<?php
								}
								?>

								<td></td>

								<td class="form-inline" style="white-space: nowrap">
									<div class="input-append">
										<input type="text" name="search" id="search" value="<?php
											echo $this->escape($this->getModel()->getState('search'));
										?>" class="input-medium span6" onchange="document.adminForm.submit();"
										placeholder="<?php echo JText::_('JSEARCH_FILTER_SUBMIT') ?>" />

										<button class="btn" onclick="this.form.submit();">
											<?php echo JText::_('COM_XTDIR_FILTER_SUBMIT'); ?>
											<img src="<?php echo $this->get('blankImage'); ?>" height="20">
										</button>
									</div>

									<a class="xtd-btn-reset"><small><?php echo JText::_('COM_XTDIR_RESET'); ?></small></a>
								</td>

								<td>
								</td>

								<td><?php

								echo EHtmlSelect::selectTypename(
										'Promotypes',
										'XtdirModel',
										$this->getModel()->getState('promotype_id'),
										'promotype_id',
										array('onchange' => 'this.form.submit();', 'class' => 'input-small')
									);

								?>
								</td>

								<td><?php

								echo SelectControlHelper::tiertypelist(
										$this->getModel()->getState('tiertype_id'),
										'tiertype_id',
										array('onchange' => 'this.form.submit();', 'class' => 'input-small')
									);

								?>
								</td>

								<?php
								if ($hasAjaxOrderingSupport === false)
								{
								?>
								<td></td>
								<?php
								}
								?>

								<td><?php

								echo EHtmlSelect::yesNo(
										$this->getModel()->getState('published', 1),
										'published',
										array('onchange-submit' => 'true', 'class' => 'btn-mini')
									);

								?>
								</td>

								<td></td>
							</tr>
						</thead>

						<tfoot>
							<tr>
								<td colspan="20"><?php
								EHtml::renderPagination($this);
								?>
								</td>
							</tr>
						</tfoot>

						<tbody>
							<?php

							if ($count = count($this->items))
							{
								$i = 0;
								$m = 1;

								foreach ($this->items as $item)
								{
									$m = 1 - $m;

									$checkedout = ($item->checked_out != 0);
									?>
							<tr class="row<?php echo $m?>">

								<?php
								if ($hasAjaxOrderingSupport !== false)
								{
									$editstate = (($this->perms->editstate) && ($ordering));
									echo EHtmlGrid::ajaxOrderingColumn($editstate, $item->ordering);
								}
								?>

								<td><?php echo JHTML::_('grid.id', $i, $item->id, $checkedout); ?>
								</td>

								<td><?php

								echo EHtmlGrid::lockedWithIcons($checkedout);

								?>
								<a href="index.php?option=com_xtdir&view=promotions&task=edit&id=<?php echo (int) $item->id ?>">
								<?php
										echo htmlentities($item->name, ENT_COMPAT, 'UTF-8');
								?>
								</a>
								</td>

								<td>
								<a href="index.php?option=com_xtdir&view=promotions&task=edit&id=<?php echo (int) $item->id ?>">
								<?php
										echo htmlentities($item->section_name, ENT_COMPAT, 'UTF-8');

										if (!empty($item->category_name))
										{
											echo ' / ' . htmlentities($item->category_name, ENT_COMPAT, 'UTF-8');
										}
								?>
								</a>
								</td>


								<td><?php

								echo EHtmlSelect::getTypename('Promotypes', 'XtdirModel', $item->promotype_id);

								?>
								</td>

								<td><?php

								echo EHtmlSelect::getTypename('Tiertypes', 'XtdirModel', $item->tiertype_id);

								?>
								</td>

								<?php
								if ($hasAjaxOrderingSupport === false)
								{
									echo EHtmlGrid::basicOrderingColumn($this->pagination, $i, $count, $item->ordering);
								}
								?>

								<td><?php

								echo EHtmlGrid::publishedWithIcons($item, $i, $this->perms->editstate);

								?>
								</td>

								<td><?php
									echo $item->id;
								?>
								</td>
							</tr>
							<?php
									$i++;
								}

								?>
							<?php
							}
							else
							{
								?>
							<tr>
								<td colspan="10" align="center"><?php echo JText::_('COM_XTDIR_COMMON_NOITEMS_LABEL') ?>
								</td>
							</tr>
							<?php
							}
							?>
						</tbody>
					</table>

				</form>

			</div>
		</div>
	</div>
</div>
