<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$categorylist = SelectControlHelper::categorylist(
		$this->item->xtform->get('search_category_list'),
		'xtform[search_category_list][]',
		array('class' => 'required input-xxlarge', 'multiple' => true),
		'search_category_list');

echo EHtml::genericControl(
		'COM_XTDIR_VIEW_SEARCH_SEARCHCTGLIST_LABEL',
		'COM_XTDIR_VIEW_SEARCH_SEARCHCTGLIST_DESC',
		'search_category_list',
		$categorylist
);

$menulist = SelectControlHelper::menuitemlist(
		$this->item->xtform->get('menu_itemid'),
		'xtform[menu_itemid]',
		array('class' => 'required input-xlarge'), 'menu_itemid');
echo EHtml::genericControl(
		'COM_XTDIR_VIEW_SEARCH_MENUITEMID_LABEL',
		'COM_XTDIR_VIEW_SEARCH_MENUITEMID_DESC',
		'menu_itemid',
		$menulist
);

echo EHtmlSelect::yesNoControl(
		$this->item->xtform->get('randomize', 0),
		'xtform[randomize]',
		'COM_XTDIR_VIEW_SEARCH_RANDOMIZE_LABEL',
		'COM_XTDIR_VIEW_SEARCH_RANDOMIZE_DESC');

echo EHtmlSelect::yesNoControl(
		$this->item->xtform->get('allow_empty', 1),
		'xtform[allow_empty]',
		'COM_XTDIR_VIEW_SEARCH_ALLOWEMPTY_LABEL',
		'COM_XTDIR_VIEW_SEARCH_ALLOWEMPTY_DESC');
