<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="searches" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_SEARCHES_EDIT'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span12">
					<fieldset class="all_fields">

						<ul class="nav nav-tabs" id="searchTabs">
							<li><a data-toggle="tab" href="#basic">
								<i class="xticon xticon-search"></i>
								<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_TAB_BASIC'); ?>
							</a></li>

							<li><a data-toggle="tab" href="#search_options">
								<i class="xticon xticon-wrench"></i>
								<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_TAB_SEARCH_OPTIONS'); ?>
							</a></li>

							<li><a data-toggle="tab" href="#list">
								<i class="xticon xticon-list"></i>
								<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_TAB_LIST'); ?>
							</a></li>

							<li><a data-toggle="tab" href="#advanced">
								<i class="xticon xticon-cogs"></i>
								<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_TAB_ADVANCED'); ?>
							</a></li>

							<li><a data-toggle="tab" href="#ft">
								<i class="xticon xticon-text-height"></i>
								<?php echo JText::_('COM_XTDIR_VIEW_SEARCH_TAB_FT'); ?>
							</a></li>
						</ul>

						<div class="tab-content" id="searchTabsContent">
						<?php

							echo '<div id="basic" class="tab-pane fade" style="min-height:380px">';
							include_once 'basic.php';
							echo '</div>';

							echo '<div id="search_options" class="tab-pane fade" style="min-height:380px">';
							include_once 'search_options.php';
							echo '</div>';

							echo '<div id="list" class="tab-pane fade" style="min-height:380px">';
							include_once 'list.php';
							echo '</div>';

							echo '<div id="advanced" class="tab-pane fade" style="min-height:380px">';
							include_once 'advanced.php';
							echo '</div>';

							echo '<div id="ft" class="tab-pane fade" style="min-height:380px">';
							include_once 'ft.php';
							echo '</div>';

						?>
						</div>
					</fieldset>
				</div>

			</div>
		</form>
	</div>
</div>
