<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

echo EHtml::requiredTextControl(
		$this->item->xtform->get('search_limit', 50),
		'xtform[search_limit]',
		'COM_XTDIR_VIEW_SEARCH_LIMIT_LABEL',
		'COM_XTDIR_VIEW_SEARCH_LIMIT_DESC',
		'search_limit', 6
);

$fieldnames = SelectControlHelper::fieldlist(
		$this->item->xtform->get('custom_field_names'),
		'xtform[custom_field_names][]',
		array('class' => 'required input-xxlarge', 'multiple' => true), 'custom_field_names');
echo EHtml::genericControl(
		'COM_XTDIR_VIEW_SEARCH_FIELDNAMES_LABEL',
		'COM_XTDIR_VIEW_SEARCH_FIELDNAMES_DESC',
		'custom_field_names',
		$fieldnames
);

/*
 $orderlist = SelectControlHelper::fieldlist(
 		$this->item->xtform->get('order_query'),
 		'xtform[order_query][]',
 		array('class' => 'required input-xxlarge', 'multiple' => true), 'order_query');
echo EHtml::genericControl(
		'COM_XTDIR_VIEW_SEARCH_ORDERQUERY_LABEL',
		'COM_XTDIR_VIEW_SEARCH_ORDERQUERY_DESC',
		'order_query',
		$orderlist
);
*/

$desclist = SelectControlHelper::fieldlist(
		$this->item->xtform->get('desc_list'),
		'xtform[desc_list][]',
		array('class' => 'required input-xxlarge', 'multiple' => true), 'desc_list');
echo EHtml::genericControl(
		'COM_XTDIR_VIEW_SEARCH_DESCLIST_LABEL',
		'COM_XTDIR_VIEW_SEARCH_DESCLIST_DESC',
		'desc_list',
		$desclist
);
