<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$buffer[] = "(function() {";
$buffer[] = "\tgoogle.load('visualization', '1.0', {'packages':['corechart']});";
$buffer[] = "\tgoogle.setOnLoadCallback(";
$buffer[] = "\t\tfunction(){";
$buffer[] = "\t\tvar data = new google.visualization.DataTable();";
$buffer[] = "\t\tdata.addColumn('string', '" . JText::_('COM_XTDIR_TITLE_CHART_CATEGORIES') . "');";
$buffer[] = "\t\tdata.addColumn('number', '" . JText::_('COM_XTDIR_TITLE_CHART_ENTRIES') . "');";
$buffer[] = "\t\tdata.addRows([";

foreach ($totals as $total)
{
	$c = addcslashes(stripcslashes($total->name), '\'');
	$v = intval($total->c);

	$buffer[] = "\t\t\t['{$c}', {$v}],";
}

$chartId = 'chart_div' . $this->input->get('chart_id') . '_' . $section;

$buffer[] = "\t\t]);";
$buffer[] = "\t\tvar options = {";

// $buffer[] = "\t\t\t'title':'{$title}',";

$buffer[] = "\t\t\t'legend':{'position':'{$legend_position}','maxLines':{$count}},";
$buffer[] = "\t\t\t'width':'auto',";
$buffer[] = "\t\t\t'height':'auto'};";
$buffer[] = "\t\tvar chart = new google.visualization.PieChart(document.getElementById('{$chartId}'));";
$buffer[] = "\t\tchart.draw(data, options);";
$buffer[] = "\t}";
$buffer[] = "\t);";
$buffer[] = "})();";
