<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
<div class="row-fluid <?php echo (XTDIR_PROMOTED_ENTRIES ? '' : 'hide'); ?>">
	<div class="span6">
		<div class="well form-horizontal">
			<fieldset class="extly-batch">
				<h4>
					<?php echo JText::_('COM_XTDIR_OBJECTS_BATCH_TITLE'); ?>
				</h4>
				<p>
					<?php echo JText::_('COM_XTDIR_OBJECTS_BATCH_DESC'); ?>
				</p>
					<?php

/*
							$control = SelectControlHelper::promotypeBtngroup(
								0,
								'promoted'
							);
							echo EHtml::genericControl(
								'COM_XTDIR_OBJECTS_BATCH_PROMOTED_TITLE',
								'COM_XTDIR_OBJECTS_BATCH_PROMOTED_DESC',
								'batch_promoted',
								$control
							);
*/
					?>

					<div class="control-group">
						<label data-original-title="<?php echo JText::_('COM_XTDIR_OBJECTS_BATCH_PROMOTED_DESC'); ?>" rel="tooltip" class="control-label" for="batch_promoted">
						<?php echo JText::_('COM_XTDIR_OBJECTS_BATCH_PROMOTED_TITLE'); ?></label>

						<div class="controls inline">
							<a href="#" class="btn" onclick="Joomla.submitbutton('batch');"
								type="submit"><?php echo JText::_('COM_XTDIR_OBJECTS_PROCESS_BUTTON'); ?></a>
						</div>
					</div>
			</fieldset>
		</div>
	</div>
	<div class="span6">
		<h4>
			<?php echo JText::_('COM_XTDIR_OBJECTS_REFERENCE_PROMOTED'); ?>
		</h4>
		<dl class="dl-horizontal">
			<dt><i class="xticon xticon-star"></i></dt>
			<dd><?php echo JText::_('COM_XTDIR_OBJECTS_PROMOTED_MANUAL'); ?></dd>
			<dt><i class="xticon xticon-star-o"></i></dt>
			<dd><?php echo JText::_('COM_XTDIR_OBJECTS_PROMOTED_AUTO'); ?></dd>
			<dt><i class="xticon xticon-circle-o"></i></dt>
			<dd><?php echo JText::_('COM_XTDIR_OBJECTS_PROMOTED_NO'); ?></dd>
		</dl>

		<h4>
			<?php echo JText::_('COM_XTDIR_OBJECTS_REFERENCE_STATUS'); ?>
		</h4>
		<dl class="dl-horizontal">
			<dt><i class="xticon xticon-check"></i></dt>
			<dd><?php echo JText::_('JPUBLISHED'); ?></dd>
			<dt><i class="xticon xticon-times-circle"></i></dt>
			<dd><?php echo JText::_('JUNPUBLISHED'); ?></dd>
		</dl>

		<h4>
			<?php echo JText::_('COM_XTDIR_OBJECTS_REFERENCE_APPROVAL'); ?>
		</h4>
		<dl class="dl-horizontal">
			<dt><i class="xticon xticon-thumbs-up"></i></dt>
			<dd><?php echo JText::_('COM_XTDIR_OBJECTS_REFERENCE_APPROVED'); ?></dd>
			<dt><i class="xticon xticon-thumbs-down"></i></dt>
			<dd><?php echo JText::_('COM_XTDIR_OBJECTS_REFERENCE_UNAPPROVED'); ?></dd>
		</dl>
	</div>
</div>
