<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
<thead>
	<tr>
		<?php
		if ($hasAjaxOrderingSupport !== false)
		{
		?>
		<th width="35px"><?php echo JHtml::_('grid.sort', '<i class="icon-menu-2"></i>', 'fordering', $this->lists->order_Dir, $this->lists->order, 'browse', 'asc', 'JGRID_HEADING_ORDERING'); ?>
		</th>
		<?php
		}
		?>

		<th width="20">
		</th>

		<th>
			<?php echo JHTML::_('grid.sort', 'COM_XTDIR_OBJECTS_ENTRY', 'o.name', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
		</th>

		<th>
			<?php
				echo JText::_('COM_XTDIR_OBJECTS_SECTION') . ' / ';
				echo JText::_('COM_XTDIR_OBJECTS_CATEGORY');
			?>
			<span class="loaderspinner pull-right">&nbsp;</span>
		</th>

		<th><?php
			echo JText::_('COM_XTDIR_OBJECTS_STATE');
		?></th>

		<th><?php
			echo JText::_('COM_XTDIR_OBJECTS_APPROVAL');
		?></th>

		<th class="<?php echo (XTDIR_PROMOTED_ENTRIES ? '' : 'hide'); ?>"><?php
			echo JText::_('COM_XTDIR_OBJECTS_PROMOTED');
		?></th>

		<?php
		if (($hasAjaxOrderingSupport === false) && (XTDIR_PROMOTED_ENTRIES))
		{
		?>
		<th>
			<?php
				echo JHTML::_('grid.sort', 'JFIELD_ORDERING_LABEL', 'fordering', $this->lists->order_Dir, $this->lists->order, 'browse');
				echo JHTML::_('grid.order', $this->items);
			?>
		</th>
		<?php
		}
		?>

		<th width="35"><?php echo JHTML::_('grid.sort', 'JGLOBAL_FIELD_ID_LABEL', 'o.id', $this->lists->order_Dir, $this->lists->order, 'browse'); ?>
		</th>
	</tr>
