<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

$this->loadHelper('select');

JHtml::_('behavior.formvalidation');

?>

<div class="extly">
	<div class="extly-body">
			<?php
				include_once JPATH_XTDIR . '/views/cpanels/tmpl/toolbar.php';
			?>

		<form name="adminForm" id="adminForm" action="index.php" method="post" class="form form-horizontal form-validate">
			<fieldset class="all_fields">

			<input type="hidden" name="option" value="com_xtdir" />
			<input type="hidden" name="view" value="pagesescfgs" />
			<input type="hidden" name="task" value="" />
			<input type="hidden" name="returnurl" value="<?php

			echo base64_encode('index.php?option=com_xtdir&view=cpanels');

			?>" />
			<input type="hidden" name="<?php echo JFactory::getSession()->getFormToken();?>" value="1" />

			<div class="row-fluid">
				<div class="span12">
					<legend>
						<?php echo JText::_('COM_XTDIR_TITLE_PAGESESCFGCONFIGURATION'); ?>
					</legend>
				</div>
			</div>

			<div class="row-fluid">
				<div class="span6">
<?php
					$app_xtd_easysocialprofilesp = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_easysocialprofilesp.zip'));
					$app_xtd_sp2esactivitystream = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_sp2esactivitystream.zip'));

					if (($app_xtd_easysocialprofilesp) || ($app_xtd_sp2esactivitystream))
					{
?>

					<h4>
						<?php echo JText::_('COM_XTDIR_TITLE_PAGESESCFGCONFIGURATION_APPS'); ?>
					</h4>

<?php
						if ($app_xtd_easysocialprofilesp)
						{
?>
					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_easysocialprofilesp.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_EASYSOCIALPROFILESP_APP'); ?>
					</h5>
					<p>
<?php

							echo SobiproHelper::spAppInstallControl(
								'easysocialprofilesp_field',
								'index.php?option=com_xtdir&view=pagesescfgs&task=installEasysocialProfileSpApp&_token=' . JFactory::getSession()->getFormToken(),
								'media/com_xtdir/apps/app_xtd_easysocialprofilesp.zip'
							);
?>
					</p>
<?php
						}

						if ($app_xtd_sp2esactivitystream)
						{
?>

					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_sp2esactivitystream.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_SP2ESACTIVITYSTREAM_INFOAPP'); ?>
					</h5>
					<p>
<?php
					echo SobiproHelper::spAppInstallControl(
							'sp2esactivitystream',
							'index.php?option=com_xtdir&view=pagesescfgs&task=installSp2EsActivityStreamApp&_token=' . JFactory::getSession()->getFormToken(),
							'media/com_xtdir/apps/app_xtd_sp2esactivitystream.zip'
					);
?>
					</p>
<?php
						}
					}
?>
				</div>

				<div class="span6">
<?php
					$app_xtd_essobipromyentries = (@file_exists(JPATH_ROOT . '/media/com_xtdir/apps/app_xtd_essobipromyentries.zip'));
?>
					<h4>
						&nbsp;
					</h4>
<?php
						if ($app_xtd_essobipromyentries)
						{
?>
					<h5>
						<a href="../media/com_xtdir/apps/app_xtd_essobipromyentries.zip"><i class="xticon xticon-download"></i></a>
						<?php echo JText::_('COM_XTDIR_TITLE_ESSOBIPROMYENTRIES_APP'); ?>
					</h5>
					<p>
<?php

							echo EEasySocialHelper::esAppInstallControl(
								'essobipromyentries',
								'index.php?option=com_xtdir&view=pagesescfgs&task=installEasySocialSobiProMyEntries&_token=' . JFactory::getSession()->getFormToken(),
								'media/com_xtdir/apps/app_xtd_essobipromyentries.zip'
							);
?>
					</p>
<?php
						}
?>
				</div>
			</div>

			</fieldset>
		</form>
	</div>
</div>
