<?php

/**
 * @package     Extly.Components
 * @subpackage  com_xtdir - Extended Directory for SobiPro
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

?>
					<div class="row-fluid">
						<div class="span12">
							<div class="control-group">
								<label for="xtformcatalog_list" class="control-label required" rel="tooltip" data-original-title="<?php
								echo JText::_('COM_XTDIR_VIEW_SYSTEM_CATALOGLIST_DESC'); ?>"> <?php
								echo JText::_('COM_XTDIR_VIEW_SYSTEM_CATALOGLIST_LABEL');
								?> <span class="star">&#160;*</span>
								</label>
								<div class="controls">
									<?php
										$attrs = array(
											'class' => 'required input-xlarge',
											'required' => 'required'
											);

										if (XTDIR_MULTI_MODE)
										{
											$attrs['multiple'] = true;
										}

										echo SelectControlHelper::sectionlist(
											$this->item->xtform->get('catalog_list'),
											'xtform[catalog_list][]',
											$attrs
										);
									?>
								</div>
							</div>
						</div>
					</div>