/**
 * @package Extly.Components
 * @subpackage com_xtdir - Extended Directory for SobiPro
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2014 Prieco, S.A. All rights reserved.
 * @license http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

define('pagescfg', [ 'extlycore' ], function(Core) {
	"use strict";

	var PagesCfgView = Backbone.View.extend({

		events : {
			'change #layout' : 'onChangeLayout',
			'change #xtformcatalog_list' : 'onChangeLayout'
		},
		
		initialize: function() {
			this.onChangeLayout();
		},
	
		onChangeLayout: function(e) {
			var layout = this.$('#layout').val(),
				// $xtformcatalog_list = this.$('#xtformcatalog_list'),
				$fieldsArea = this.$('.vcard-fields');
				// c;
			
			// c = _.size($xtformcatalog_list.val());
			
			// vCard
			
			// if ((layout === '1') && (c == 1)) {
			
			if (layout === '1') {
				$fieldsArea.removeClass('hide');
			} else {
				$fieldsArea.addClass('hide');
			}
		}
		
	});
	
	var pagesCfgView = new PagesCfgView({
		el : jQuery('#adminForm')
	});	

});
